<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxGraphStructure (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxGraphStructure (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":9,"i24":9,"i25":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphStructure.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.analysis</a></div>
<h2 title="Class mxGraphStructure" class="title">Class mxGraphStructure</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.analysis.mxGraphStructure</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxGraphStructure</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxGraphStructure</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#areConnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object,java.lang.Object)">areConnected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
            java.lang.Object&nbsp;sourceVertex,
            java.lang.Object&nbsp;targetVertex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#complementaryGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">complementaryGraph</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">
<div class="block">Makes the complement of <b>aGraph</b></div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getConnectingEdge(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object,java.lang.Object)">getConnectingEdge</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                 java.lang.Object&nbsp;vertexOne,
                 java.lang.Object&nbsp;vertexTwo)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCutEdges(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getCutEdges</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCutVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getCutVertices</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDirectedLeaf(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">getDirectedLeaf</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
               java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.lang.Object[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraphComponents(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getGraphComponents</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLowestDegreeVertex(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object%5B%5D)">getLowestDegreeVertex</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                     java.lang.Object[]&nbsp;omitVertex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSinkVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getSinkVertices</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">getSourceVertices</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVertexWithValue(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">getVertexWithValue</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                  int&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#indegree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">indegree</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
        java.lang.Object&nbsp;vertex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isBiconnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">isBiconnected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isConnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">isConnected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCutEdge(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">isCutEdge</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
         java.lang.Object&nbsp;edge)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCutVertex(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">isCutVertex</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
           java.lang.Object&nbsp;vertex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCyclicDirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">isCyclicDirected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCyclicUndirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">isCyclicUndirected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSimple(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">isSimple</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">isTree</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#makeConnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">makeConnected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">
<div class="block">Makes the graph connected</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#makeSimple(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">makeSimple</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#makeTreeDirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">makeTreeDirected</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                java.lang.Object&nbsp;startVertex)</code></th>
<td class="colLast">
<div class="block">Makes a tree graph directed from the source to the leaves</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#outdegree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">outdegree</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
         java.lang.Object&nbsp;vertex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#regularity(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">regularity</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDefaultGraphStyle(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,boolean)">setDefaultGraphStyle</a></span>&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                    boolean&nbsp;resetEdgeValues)</code></th>
<td class="colLast">
<div class="block">Sets the style of the graph to that as in GraphEditor</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxGraphStructure</h4>
<pre>public&nbsp;mxGraphStructure()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isConnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnected</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isConnected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the graph is connected</dd>
</dl>
</li>
</ul>
<a id="isCyclicUndirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCyclicUndirected</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isCyclicUndirected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>parent</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the graph contains cycles regardless of edge direction</dd>
</dl>
</li>
</ul>
<a id="isSimple(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSimple</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isSimple&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the graph is simple (no self loops and no multiple edges)</dd>
</dl>
</li>
</ul>
<a id="isTree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTree</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isTree&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the graph has the structure of a tree, regardless of edge direction</dd>
</dl>
</li>
</ul>
<a id="getLowestDegreeVertex(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLowestDegreeVertex</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object&nbsp;getLowestDegreeVertex&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                                     java.lang.Object[]&nbsp;omitVertex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>omitVertex</code> - vertices in this array will be omitted, set this parameter to null if you don't want this feature</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a vertex that has lowest degree, or one of those in case if there are more</dd>
</dl>
</li>
</ul>
<a id="areConnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areConnected</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;areConnected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                   java.lang.Object&nbsp;sourceVertex,
                                   java.lang.Object&nbsp;targetVertex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - </dd>
<dd><code>sourceVertex</code> - </dd>
<dd><code>targetVertex</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if the two vertices are connected directly by an edge. If directed, the result is true if they are connected by an edge that points from source to target, if false direction isn't takein into account, just connectivity.</dd>
</dl>
</li>
</ul>
<a id="makeSimple(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>makeSimple</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;makeSimple&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - Make a graph simple (remove parallel edges and self loops)</dd>
</dl>
</li>
</ul>
<a id="makeConnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>makeConnected</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;makeConnected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<div class="block">Makes the graph connected</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
</dl>
</li>
</ul>
<a id="getGraphComponents(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphComponents</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object[][]&nbsp;getGraphComponents&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object[components][vertices]</dd>
</dl>
</li>
</ul>
<a id="makeTreeDirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>makeTreeDirected</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;makeTreeDirected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                    java.lang.Object&nbsp;startVertex)
                             throws <a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></pre>
<div class="block">Makes a tree graph directed from the source to the leaves</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>startVertex</code> - - this vertex will be root of the tree (the only source node)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></code> - - the graph must be a tree (edge direction doesn't matter)</dd>
</dl>
</li>
</ul>
<a id="getConnectingEdge(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectingEdge</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object&nbsp;getConnectingEdge&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                                 java.lang.Object&nbsp;vertexOne,
                                                 java.lang.Object&nbsp;vertexTwo)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>vertexOne</code> - </dd>
<dd><code>vertexTwo</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an edge that directly connects <b>vertexOne</b> and <b>vertexTwo</b> regardless of direction, null if they are not connected directly</dd>
</dl>
</li>
</ul>
<a id="isCyclicDirected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCyclicDirected</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isCyclicDirected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if the graph has at least one cycle, taking edge direction into account</dd>
</dl>
</li>
</ul>
<a id="getDirectedLeaf(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirectedLeaf</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object&nbsp;getDirectedLeaf&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                               java.lang.Object&nbsp;parent)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - </dd>
<dd><code>parent</code> - </dd>
<dd><code>properties</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A helper function for <b>isDirectedCyclic</b> and it isn't for general use. It returns a node that hasn't incoming or outgoing edges. It could be considered a "leaf" in a directed graph, but this definition isn't formal.</dd>
</dl>
</li>
</ul>
<a id="complementaryGraph(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>complementaryGraph</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;complementaryGraph&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<div class="block">Makes the complement of <b>aGraph</b></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
</dl>
</li>
</ul>
<a id="getVertexWithValue(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVertexWithValue</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object&nbsp;getVertexWithValue&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                                  int&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - - the graph to search</dd>
<dd><code>value</code> - - desired value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first vertex with the wanted value. If none are found, null is returned</dd>
</dl>
</li>
</ul>
<a id="setDefaultGraphStyle(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultGraphStyle</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;setDefaultGraphStyle&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                        boolean&nbsp;resetEdgeValues)</pre>
<div class="block">Sets the style of the graph to that as in GraphEditor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>resetEdgeValues</code> - - set to true if you want to re-generate edge weights</dd>
</dl>
</li>
</ul>
<a id="regularity(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>regularity</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;regularity&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)
                      throws <a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the regularity of the graph</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></code> - if the graph is irregular</dd>
</dl>
</li>
</ul>
<a id="indegree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indegree</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;indegree&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                           java.lang.Object&nbsp;vertex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>vertex</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>indegree of <b>vertex</b></dd>
</dl>
</li>
</ul>
<a id="outdegree(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>outdegree</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;outdegree&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                            java.lang.Object&nbsp;vertex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>vertex</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>outdegree of <b>vertex</b></dd>
</dl>
</li>
</ul>
<a id="isCutVertex(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCutVertex</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isCutVertex&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                  java.lang.Object&nbsp;vertex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>vertex</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if <b>vertex</b> is a cut vertex</dd>
</dl>
</li>
</ul>
<a id="getCutVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCutVertices</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object[]&nbsp;getCutVertices&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all cut vertices of <b>aGraph</b></dd>
</dl>
</li>
</ul>
<a id="isCutEdge(import hk.quantr.mxgraph.analysis.mxAnalysisGraph,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCutEdge</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isCutEdge&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph,
                                java.lang.Object&nbsp;edge)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dd><code>edge</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if <b>edge</b> is a cut edge of <b>aGraph</b></dd>
</dl>
</li>
</ul>
<a id="getCutEdges(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCutEdges</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object[]&nbsp;getCutEdges&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all cut edges of <b>aGraph</b></dd>
</dl>
</li>
</ul>
<a id="getSourceVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceVertices</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object[]&nbsp;getSourceVertices&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)
                                            throws <a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all source vertices of <b>aGraph</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></code> - the graph must be directed</dd>
</dl>
</li>
</ul>
<a id="getSinkVertices(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSinkVertices</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object[]&nbsp;getSinkVertices&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)
                                          throws <a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all sink vertices of <b>aGraph</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis">StructuralException</a></code> - the graph must be directed</dd>
</dl>
</li>
</ul>
<a id="isBiconnected(import hk.quantr.mxgraph.analysis.mxAnalysisGraph)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isBiconnected</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isBiconnected&#8203;(<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis">mxAnalysisGraph</a>&nbsp;aGraph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aGraph</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if <b>aGraph</b> is biconnected</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphStructure.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
